Directory Markets
Operations related to Directory Markets that define geographical or business markets within the platform directory.
Query parameters
first_resultinteger · int32Optional
Offset from which the search must be performed
max_resultsinteger · int32Optional
Number of maximum items that shall be return by this search
Responses
200
Success !
application/json
countintegerRequired
totalintegerRequired
first_resultintegerRequired
statusstring · enumRequiredPossible values:
max_resultsintegerRequired
400
Error response
application/json
401
Error response
application/json
403
Error response
application/json
404
Error response
application/json
500
Error response
application/json
503
Error response
application/json
get/markets
GET /v1/markets HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"data": [
{
"id": "text",
"country_iso": "text",
"offer": "text"
}
],
"count": 1,
"total": 1,
"first_result": 1,
"status": "ok",
"max_results": 1
}Body
idstringRequired
country_isostringRequired
offerstringRequired
Responses
200
Success !
application/json
statusstring · enumRequiredPossible values:
400
Error response
application/json
401
Error response
application/json
403
Error response
application/json
404
Error response
application/json
500
Error response
application/json
503
Error response
application/json
post/markets
POST /v1/markets HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 49
{
"id": "text",
"country_iso": "text",
"offer": "text"
}{
"status": "ok",
"data": {
"id": "text",
"country_iso": "text",
"offer": "text"
}
}Path parameters
idinteger · int64Required
Responses
200
Success !
application/json
statusstring · enumRequiredPossible values:
400
Error response
application/json
401
Error response
application/json
403
Error response
application/json
404
Error response
application/json
500
Error response
application/json
503
Error response
application/json
get/markets/{id}
GET /v1/markets/{id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": {
"id": "text",
"country_iso": "text",
"offer": "text"
}
}Path parameters
idinteger · int64Required
Body
idstringRequired
country_isostringRequired
offerstringRequired
Responses
200
Success !
application/json
statusstring · enumRequiredPossible values:
400
Error response
application/json
401
Error response
application/json
403
Error response
application/json
404
Error response
application/json
500
Error response
application/json
503
Error response
application/json
put/markets/{id}
PUT /v1/markets/{id} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 49
{
"id": "text",
"country_iso": "text",
"offer": "text"
}{
"status": "ok",
"data": {
"id": "text",
"country_iso": "text",
"offer": "text"
}
}Path parameters
idinteger · int64Required
Responses
200
Success response
application/json
statusstring · enumRequiredPossible values:
400
Error response
application/json
401
Error response
application/json
403
Error response
application/json
404
Error response
application/json
500
Error response
application/json
503
Error response
application/json
delete/markets/{id}
DELETE /v1/markets/{id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok"
}Last updated
Was this helpful?